Arch Remove/de: Difference between revisions

From FreeCAD Documentation
(Created page with "# Wählen Sie eine Subkomponente in einem Architekturobjekt, '''oder''': # Wählen Sie ein oder mehrere Objekte, anschließend die Komponente von dem die Objekte entfernt werd...")
(Created page with "Das Entfernen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus mit folgender Funktion angesprochen werden:")
Line 19: Line 19:
==Scripting==
==Scripting==


Das Entfernen-Werkzeug kann in [[macros/de|Makros]] ebenso wie aus der Python-Konsole heraus mit folgender Funktion angesprochen werden:
The Remove tool can by used in [[macros]] and from the python console by using the following function:
'''removeComponents (objectsList,[hostObject])'''
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Revision as of 09:04, 29 November 2013

Komponente Entfernen

Menüeintrag
Architektur -> Komponente entfernen
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Teil Hinzufügen

Beschreibung

Das Entfernen-Werkzeug erlaubt zwei Arten von Operationen:

  • Entfernen einer Subkomponente von einem Architekturobjekt, z.B. das Entfernen des Quaders,welcher im Teil Hinzufügen-Beispiel einer Wand hinzugefügt wurde;
  • Subtrahieren eines Primitiven-basierten Objektes von einer Architekturkomponente wie z.B. einer Wand oder einem Bauelement.

Im obigen Bild wird ein Quader von einer Wand subtrahiert.

Anwendung

  1. Wählen Sie eine Subkomponente in einem Architekturobjekt, oder:
  2. Wählen Sie ein oder mehrere Objekte, anschließend die Komponente von dem die Objekte entfernt werden sollen (dieses Objekt muss das zuletzt selektierte Objekt sein).
  3. Drücken Sie den Entfernen-Knopf

Scripting

Das Entfernen-Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus mit folgender Funktion angesprochen werden:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)